/**
 * @fileoverview AUTOMATICALLY GENERATED service for API.Client.AuthorsApi.
 * Do not edit this file by hand or your changes will be lost next time it is
 * generated.
 *
 * Figshare apiv2. Using Swagger 2.0
 * Version: 2.0.0
 * Generated by: io.swagger.codegen.languages.JavascriptClosureAngularClientCodegen
 */
goog.provide('API.Client.AuthorsApi');

goog.require('API.Client.Author');
goog.require('API.Client.AuthorComplete');
goog.require('API.Client.ErrorMessage');
goog.require('API.Client.PrivateAuthorsSearch');

/**
 * @constructor
 * @param {!angular.$http} $http
 * @param {!Object} $httpParamSerializer
 * @param {!angular.$injector} $injector
 * @struct
 */
API.Client.AuthorsApi = function($http, $httpParamSerializer, $injector) {
  /** @private {!string} */
  this.basePath_ = $injector.has('AuthorsApiBasePath') ?
                   /** @type {!string} */ ($injector.get('AuthorsApiBasePath')) :
                   'https://api.figshare.com/v2';

  /** @private {!Object<string, string>} */
  this.defaultHeaders_ = $injector.has('AuthorsApiDefaultHeaders') ?
                   /** @type {!Object<string, string>} */ (
                       $injector.get('AuthorsApiDefaultHeaders')) :
                   {};

  /** @private {!angular.$http} */
  this.http_ = $http;

  /** @package {!Object} */
  this.httpParamSerializer = $injector.get('$httpParamSerializer');
}
API.Client.AuthorsApi.$inject = ['$http', '$httpParamSerializer', '$injector'];

/**
 * Author details
 * View author details
 * @param {!number} authorId Author unique identifier
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise<!API.Client.AuthorComplete>}
 */
API.Client.AuthorsApi.prototype.privateAuthorDetails = function(authorId, opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/authors/{author_id}'
      .replace('{' + 'author_id' + '}', String(authorId));

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  // verify required parameter 'authorId' is set
  if (!authorId) {
    throw new Error('Missing required parameter authorId when calling privateAuthorDetails');
  }
  /** @type {!Object} */
  var httpRequestParams = {
    method: 'GET',
    url: path,
    json: true,
            params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Search Authors
 * Search for authors
 * @param {!PrivateAuthorsSearch=} opt_search Search Parameters
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise<!Array<!API.Client.Author>>}
 */
API.Client.AuthorsApi.prototype.privateAuthorsSearch = function(opt_search, opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/authors/search';

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  /** @type {!Object} */
  var httpRequestParams = {
    method: 'POST',
    url: path,
    json: true,
    data: opt_search,
        params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}
