/**
 * @fileoverview AUTOMATICALLY GENERATED service for API.Client.InstitutionsApi.
 * Do not edit this file by hand or your changes will be lost next time it is
 * generated.
 *
 * Figshare apiv2. Using Swagger 2.0
 * Version: 2.0.0
 * Generated by: io.swagger.codegen.languages.JavascriptClosureAngularClientCodegen
 */
goog.provide('API.Client.InstitutionsApi');

goog.require('API.Client.AccountCreate');
goog.require('API.Client.AccountGroupRoles');
goog.require('API.Client.AccountGroupRolesCreate');
goog.require('API.Client.AccountUpdate');
goog.require('API.Client.Article');
goog.require('API.Client.Category');
goog.require('API.Client.Curation');
goog.require('API.Client.CurationComment');
goog.require('API.Client.CurationCommentCreate');
goog.require('API.Client.CurationDetail');
goog.require('API.Client.ErrorMessage');
goog.require('API.Client.Group');
goog.require('API.Client.GroupEmbargoOptions');
goog.require('API.Client.Institution');
goog.require('API.Client.InstitutionAccountsSearch');
goog.require('API.Client.ResponseMessage');
goog.require('API.Client.Role');
goog.require('API.Client.ShortAccount');
goog.require('API.Client.ShortCustomField');
goog.require('API.Client.User');

/**
 * @constructor
 * @param {!angular.$http} $http
 * @param {!Object} $httpParamSerializer
 * @param {!angular.$injector} $injector
 * @struct
 */
API.Client.InstitutionsApi = function($http, $httpParamSerializer, $injector) {
  /** @private {!string} */
  this.basePath_ = $injector.has('InstitutionsApiBasePath') ?
                   /** @type {!string} */ ($injector.get('InstitutionsApiBasePath')) :
                   'https://api.figshare.com/v2';

  /** @private {!Object<string, string>} */
  this.defaultHeaders_ = $injector.has('InstitutionsApiDefaultHeaders') ?
                   /** @type {!Object<string, string>} */ (
                       $injector.get('InstitutionsApiDefaultHeaders')) :
                   {};

  /** @private {!angular.$http} */
  this.http_ = $http;

  /** @package {!Object} */
  this.httpParamSerializer = $injector.get('$httpParamSerializer');
}
API.Client.InstitutionsApi.$inject = ['$http', '$httpParamSerializer', '$injector'];

/**
 * Institution Curation Review
 * Retrieve a certain curation review by its ID
 * @param {!number} curationId ID of the curation
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise<!API.Client.CurationDetail>}
 */
API.Client.InstitutionsApi.prototype.accountInstitutionCuration = function(curationId, opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/institution/review/{curation_id}'
      .replace('{' + 'curation_id' + '}', String(curationId));

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  // verify required parameter 'curationId' is set
  if (!curationId) {
    throw new Error('Missing required parameter curationId when calling accountInstitutionCuration');
  }
  /** @type {!Object} */
  var httpRequestParams = {
    method: 'GET',
    url: path,
    json: true,
            params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Institution Curation Review Comments
 * Retrieve a certain curation review&#39;s comments.
 * @param {!number} curationId ID of the curation
 * @param {!number=} opt_limit Number of results included on a page. Used for pagination with query
 * @param {!number=} opt_offset Where to start the listing(the offset of the first result). Used for pagination with limit
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise<!API.Client.CurationComment>}
 */
API.Client.InstitutionsApi.prototype.accountInstitutionCurationComments = function(curationId, opt_limit, opt_offset, opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/institution/review/{curation_id}/comments'
      .replace('{' + 'curation_id' + '}', String(curationId));

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  // verify required parameter 'curationId' is set
  if (!curationId) {
    throw new Error('Missing required parameter curationId when calling accountInstitutionCurationComments');
  }
  if (opt_limit !== undefined) {
    queryParameters['limit'] = opt_limit;
  }

  if (opt_offset !== undefined) {
    queryParameters['offset'] = opt_offset;
  }

  /** @type {!Object} */
  var httpRequestParams = {
    method: 'GET',
    url: path,
    json: true,
            params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * POST Institution Curation Review Comment
 * Add a new comment to the review.
 * @param {!number} curationId ID of the curation
 * @param {!CurationCommentCreate} curationComment The content/value of the comment.
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise}
 */
API.Client.InstitutionsApi.prototype.accountInstitutionCurationComments_1 = function(curationId, curationComment, opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/institution/review/{curation_id}/comments'
      .replace('{' + 'curation_id' + '}', String(curationId));

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  // verify required parameter 'curationId' is set
  if (!curationId) {
    throw new Error('Missing required parameter curationId when calling accountInstitutionCurationComments_1');
  }
  // verify required parameter 'curationComment' is set
  if (!curationComment) {
    throw new Error('Missing required parameter curationComment when calling accountInstitutionCurationComments_1');
  }
  /** @type {!Object} */
  var httpRequestParams = {
    method: 'POST',
    url: path,
    json: true,
    data: curationComment,
        params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Institution Curation Reviews
 * Retrieve a list of curation reviews for this institution
 * @param {!number=} opt_groupId Filter by the group ID
 * @param {!number=} opt_articleId Retrieve the reviews for this article
 * @param {!string=} opt_status Filter by the status of the review
 * @param {!number=} opt_limit Number of results included on a page. Used for pagination with query
 * @param {!number=} opt_offset Where to start the listing(the offset of the first result). Used for pagination with limit
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise<!API.Client.Curation>}
 */
API.Client.InstitutionsApi.prototype.accountInstitutionCurations = function(opt_groupId, opt_articleId, opt_status, opt_limit, opt_offset, opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/institution/reviews';

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  if (opt_groupId !== undefined) {
    queryParameters['group_id'] = opt_groupId;
  }

  if (opt_articleId !== undefined) {
    queryParameters['article_id'] = opt_articleId;
  }

  if (opt_status !== undefined) {
    queryParameters['status'] = opt_status;
  }

  if (opt_limit !== undefined) {
    queryParameters['limit'] = opt_limit;
  }

  if (opt_offset !== undefined) {
    queryParameters['offset'] = opt_offset;
  }

  /** @type {!Object} */
  var httpRequestParams = {
    method: 'GET',
    url: path,
    json: true,
            params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Private account institution group custom fields
 * Returns the custom fields in the group the user belongs to, or the ones in the group specified, if the user has access.
 * @param {!number=} opt_groupId Group_id
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise<!Array<!API.Client.ShortCustomField>>}
 */
API.Client.InstitutionsApi.prototype.customFieldsList = function(opt_groupId, opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/institution/custom_fields';

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  if (opt_groupId !== undefined) {
    queryParameters['group_id'] = opt_groupId;
  }

  /** @type {!Object} */
  var httpRequestParams = {
    method: 'GET',
    url: path,
    json: true,
            params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Custom fields values files upload
 * Uploads a CSV containing values for a specific custom field of type &lt;b&gt;dropdown_large_list&lt;/b&gt;. More details in the &lt;a href&#x3D;\&quot;#custom_fields\&quot;&gt;Custom Fields section&lt;/a&gt;
 * @param {!number} customFieldId Custom field identifier
 * @param {!Object=} opt_externalFile CSV file to be uploaded
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise<!API.Client.Object>}
 */
API.Client.InstitutionsApi.prototype.customFieldsUpload = function(customFieldId, opt_externalFile, opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/institution/custom_fields/{custom_field_id}/items/upload'
      .replace('{' + 'custom_field_id' + '}', String(customFieldId));

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  /** @type {!Object} */
  var formParams = {};

  // verify required parameter 'customFieldId' is set
  if (!customFieldId) {
    throw new Error('Missing required parameter customFieldId when calling customFieldsUpload');
  }
  headerParams['Content-Type'] = 'application/x-www-form-urlencoded';

  formParams['external_file'] = opt_externalFile;

  /** @type {!Object} */
  var httpRequestParams = {
    method: 'POST',
    url: path,
    json: false,
        data: this.httpParamSerializer(formParams),
    params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Public Institution Articles
 * Returns a list of articles belonging to the institution
 * @param {!string} institutionStringId 
 * @param {!string} resourceId 
 * @param {!string} filename 
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise<!Array<!API.Client.Article>>}
 */
API.Client.InstitutionsApi.prototype.institutionArticles = function(institutionStringId, resourceId, filename, opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/institutions/{institution_string_id}/articles/filter-by'
      .replace('{' + 'institution_string_id' + '}', String(institutionStringId));

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  // verify required parameter 'institutionStringId' is set
  if (!institutionStringId) {
    throw new Error('Missing required parameter institutionStringId when calling institutionArticles');
  }
  // verify required parameter 'resourceId' is set
  if (!resourceId) {
    throw new Error('Missing required parameter resourceId when calling institutionArticles');
  }
  // verify required parameter 'filename' is set
  if (!filename) {
    throw new Error('Missing required parameter filename when calling institutionArticles');
  }
  if (resourceId !== undefined) {
    queryParameters['resource_id'] = resourceId;
  }

  if (filename !== undefined) {
    queryParameters['filename'] = filename;
  }

  /** @type {!Object} */
  var httpRequestParams = {
    method: 'GET',
    url: path,
    json: true,
            params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Private Institution HRfeed Upload
 * More info in the &lt;a href&#x3D;\&quot;#hr_feed\&quot;&gt;HR Feed section&lt;/a&gt;
 * @param {!Object=} opt_hrfeed You can find an example in the Hr Feed section
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise<!API.Client.ResponseMessage>}
 */
API.Client.InstitutionsApi.prototype.institutionHrfeedUpload = function(opt_hrfeed, opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/institution/hrfeed/upload';

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  /** @type {!Object} */
  var formParams = {};

  headerParams['Content-Type'] = 'application/x-www-form-urlencoded';

  formParams['hrfeed'] = opt_hrfeed;

  /** @type {!Object} */
  var httpRequestParams = {
    method: 'POST',
    url: path,
    json: false,
        data: this.httpParamSerializer(formParams),
    params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Private Account Institution User
 * Retrieve institution user information using the account_id
 * @param {!number} accountId Account identifier the user is associated to
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise<!API.Client.User>}
 */
API.Client.InstitutionsApi.prototype.privateAccountInstitutionUser = function(accountId, opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/institution/users/{account_id}'
      .replace('{' + 'account_id' + '}', String(accountId));

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  // verify required parameter 'accountId' is set
  if (!accountId) {
    throw new Error('Missing required parameter accountId when calling privateAccountInstitutionUser');
  }
  /** @type {!Object} */
  var httpRequestParams = {
    method: 'GET',
    url: path,
    json: true,
            params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Private Account Categories
 * List institution categories (including parent Categories)
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise<!Array<!API.Client.Category>>}
 */
API.Client.InstitutionsApi.prototype.privateCategoriesList = function(opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/categories';

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  /** @type {!Object} */
  var httpRequestParams = {
    method: 'GET',
    url: path,
    json: true,
            params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Private Account Institution Group Embargo Options
 * Account institution group embargo options details
 * @param {!number} groupId Group identifier
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise<!Array<!API.Client.GroupEmbargoOptions>>}
 */
API.Client.InstitutionsApi.prototype.privateGroupEmbargoOptionsDetails = function(groupId, opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/institution/groups/{group_id}/embargo_options'
      .replace('{' + 'group_id' + '}', String(groupId));

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  // verify required parameter 'groupId' is set
  if (!groupId) {
    throw new Error('Missing required parameter groupId when calling privateGroupEmbargoOptionsDetails');
  }
  /** @type {!Object} */
  var httpRequestParams = {
    method: 'GET',
    url: path,
    json: true,
            params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Delete Institution Account Group Role
 * Delete Institution Account Group Role
 * @param {!number} accountId Account identifier for which to remove the role
 * @param {!number} groupId Group identifier for which to remove the role
 * @param {!number} roleId Role identifier
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise}
 */
API.Client.InstitutionsApi.prototype.privateInstitutionAccountGroupRoleDelete = function(accountId, groupId, roleId, opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/institution/roles/{account_id}/{group_id}/{role_id}'
      .replace('{' + 'account_id' + '}', String(accountId))
      .replace('{' + 'group_id' + '}', String(groupId))
      .replace('{' + 'role_id' + '}', String(roleId));

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  // verify required parameter 'accountId' is set
  if (!accountId) {
    throw new Error('Missing required parameter accountId when calling privateInstitutionAccountGroupRoleDelete');
  }
  // verify required parameter 'groupId' is set
  if (!groupId) {
    throw new Error('Missing required parameter groupId when calling privateInstitutionAccountGroupRoleDelete');
  }
  // verify required parameter 'roleId' is set
  if (!roleId) {
    throw new Error('Missing required parameter roleId when calling privateInstitutionAccountGroupRoleDelete');
  }
  /** @type {!Object} */
  var httpRequestParams = {
    method: 'DELETE',
    url: path,
    json: true,
            params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * List Institution Account Group Roles
 * List Institution Account Group Roles
 * @param {!number} accountId Account identifier the user is associated to
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise<!API.Client.AccountGroupRoles>}
 */
API.Client.InstitutionsApi.prototype.privateInstitutionAccountGroupRoles = function(accountId, opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/institution/roles/{account_id}'
      .replace('{' + 'account_id' + '}', String(accountId));

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  // verify required parameter 'accountId' is set
  if (!accountId) {
    throw new Error('Missing required parameter accountId when calling privateInstitutionAccountGroupRoles');
  }
  /** @type {!Object} */
  var httpRequestParams = {
    method: 'GET',
    url: path,
    json: true,
            params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Add Institution Account Group Roles
 * Add Institution Account Group Roles
 * @param {!number} accountId Account identifier the user is associated to
 * @param {!AccountGroupRolesCreate} account Account description
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise}
 */
API.Client.InstitutionsApi.prototype.privateInstitutionAccountGroupRolesCreate = function(accountId, account, opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/institution/roles/{account_id}'
      .replace('{' + 'account_id' + '}', String(accountId));

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  // verify required parameter 'accountId' is set
  if (!accountId) {
    throw new Error('Missing required parameter accountId when calling privateInstitutionAccountGroupRolesCreate');
  }
  // verify required parameter 'account' is set
  if (!account) {
    throw new Error('Missing required parameter account when calling privateInstitutionAccountGroupRolesCreate');
  }
  /** @type {!Object} */
  var httpRequestParams = {
    method: 'POST',
    url: path,
    json: true,
    data: account,
        params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Create new Institution Account
 * Create a new Account by sending account information
 * @param {!AccountCreate} account Account description
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise}
 */
API.Client.InstitutionsApi.prototype.privateInstitutionAccountsCreate = function(account, opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/institution/accounts';

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  // verify required parameter 'account' is set
  if (!account) {
    throw new Error('Missing required parameter account when calling privateInstitutionAccountsCreate');
  }
  /** @type {!Object} */
  var httpRequestParams = {
    method: 'POST',
    url: path,
    json: true,
    data: account,
        params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Private Account Institution Accounts
 * Returns the accounts for which the account has administrative privileges (assigned and inherited).
 * @param {!number=} opt_page Page number. Used for pagination with page_size
 * @param {!number=} opt_pageSize The number of results included on a page. Used for pagination with page
 * @param {!number=} opt_limit Number of results included on a page. Used for pagination with query
 * @param {!number=} opt_offset Where to start the listing(the offset of the first result). Used for pagination with limit
 * @param {!number=} opt_isActive Filter by active status
 * @param {!string=} opt_institutionUserId Filter by institution_user_id
 * @param {!string=} opt_email Filter by email
 * @param {!number=} opt_idLte Retrieve accounts with an ID lower or equal to the specified value
 * @param {!number=} opt_idGte Retrieve accounts with an ID greater or equal to the specified value
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise<!Array<!API.Client.ShortAccount>>}
 */
API.Client.InstitutionsApi.prototype.privateInstitutionAccountsList = function(opt_page, opt_pageSize, opt_limit, opt_offset, opt_isActive, opt_institutionUserId, opt_email, opt_idLte, opt_idGte, opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/institution/accounts';

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  if (opt_page !== undefined) {
    queryParameters['page'] = opt_page;
  }

  if (opt_pageSize !== undefined) {
    queryParameters['page_size'] = opt_pageSize;
  }

  if (opt_limit !== undefined) {
    queryParameters['limit'] = opt_limit;
  }

  if (opt_offset !== undefined) {
    queryParameters['offset'] = opt_offset;
  }

  if (opt_isActive !== undefined) {
    queryParameters['is_active'] = opt_isActive;
  }

  if (opt_institutionUserId !== undefined) {
    queryParameters['institution_user_id'] = opt_institutionUserId;
  }

  if (opt_email !== undefined) {
    queryParameters['email'] = opt_email;
  }

  if (opt_idLte !== undefined) {
    queryParameters['id_lte'] = opt_idLte;
  }

  if (opt_idGte !== undefined) {
    queryParameters['id_gte'] = opt_idGte;
  }

  /** @type {!Object} */
  var httpRequestParams = {
    method: 'GET',
    url: path,
    json: true,
            params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Private Account Institution Accounts Search
 * Returns the accounts for which the account has administrative privileges (assigned and inherited).
 * @param {!InstitutionAccountsSearch} search Search Parameters
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise<!Array<!API.Client.ShortAccount>>}
 */
API.Client.InstitutionsApi.prototype.privateInstitutionAccountsSearch = function(search, opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/institution/accounts/search';

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  // verify required parameter 'search' is set
  if (!search) {
    throw new Error('Missing required parameter search when calling privateInstitutionAccountsSearch');
  }
  /** @type {!Object} */
  var httpRequestParams = {
    method: 'POST',
    url: path,
    json: true,
    data: search,
        params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Update Institution Account
 * Update Institution Account
 * @param {!number} accountId Account identifier the user is associated to
 * @param {!AccountUpdate} account Account description
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise}
 */
API.Client.InstitutionsApi.prototype.privateInstitutionAccountsUpdate = function(accountId, account, opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/institution/accounts/{account_id}'
      .replace('{' + 'account_id' + '}', String(accountId));

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  // verify required parameter 'accountId' is set
  if (!accountId) {
    throw new Error('Missing required parameter accountId when calling privateInstitutionAccountsUpdate');
  }
  // verify required parameter 'account' is set
  if (!account) {
    throw new Error('Missing required parameter account when calling privateInstitutionAccountsUpdate');
  }
  /** @type {!Object} */
  var httpRequestParams = {
    method: 'PUT',
    url: path,
    json: true,
    data: account,
        params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Private Institution Articles
 * Get Articles from own institution. User must be administrator of the institution
 * @param {!number=} opt_page Page number. Used for pagination with page_size
 * @param {!number=} opt_pageSize The number of results included on a page. Used for pagination with page
 * @param {!number=} opt_limit Number of results included on a page. Used for pagination with query
 * @param {!number=} opt_offset Where to start the listing(the offset of the first result). Used for pagination with limit
 * @param {!string=} opt_order The field by which to order. Default varies by endpoint/resource.
 * @param {!string=} opt_orderDirection 
 * @param {!string=} opt_publishedSince Filter by article publishing date. Will only return articles published after the date. date(ISO 8601) YYYY-MM-DD
 * @param {!string=} opt_modifiedSince Filter by article modified date. Will only return articles published after the date. date(ISO 8601) YYYY-MM-DD
 * @param {!number=} opt_status only return collections with this status
 * @param {!string=} opt_resourceDoi only return collections with this resource_doi
 * @param {!number=} opt_itemType Only return articles with the respective type. Mapping for item_type is: 1 - Figure, 2 - Media, 3 - Dataset, 5 - Poster, 6 - Journal contribution, 7 - Presentation, 8 - Thesis, 9 - Software, 11 - Online resource, 12 - Preprint, 13 - Book, 14 - Conference contribution, 15 - Chapter, 16 - Peer review, 17 - Educational resource, 18 - Report, 19 - Standard, 20 - Composition, 21 - Funding, 22 - Physical object, 23 - Data management plan, 24 - Workflow, 25 - Monograph, 26 - Performance, 27 - Event, 28 - Service, 29 - Model
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise<!Array<!API.Client.Article>>}
 */
API.Client.InstitutionsApi.prototype.privateInstitutionArticles = function(opt_page, opt_pageSize, opt_limit, opt_offset, opt_order, opt_orderDirection, opt_publishedSince, opt_modifiedSince, opt_status, opt_resourceDoi, opt_itemType, opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/institution/articles';

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  if (opt_page !== undefined) {
    queryParameters['page'] = opt_page;
  }

  if (opt_pageSize !== undefined) {
    queryParameters['page_size'] = opt_pageSize;
  }

  if (opt_limit !== undefined) {
    queryParameters['limit'] = opt_limit;
  }

  if (opt_offset !== undefined) {
    queryParameters['offset'] = opt_offset;
  }

  if (opt_order !== undefined) {
    queryParameters['order'] = opt_order;
  }

  if (opt_orderDirection !== undefined) {
    queryParameters['order_direction'] = opt_orderDirection;
  }

  if (opt_publishedSince !== undefined) {
    queryParameters['published_since'] = opt_publishedSince;
  }

  if (opt_modifiedSince !== undefined) {
    queryParameters['modified_since'] = opt_modifiedSince;
  }

  if (opt_status !== undefined) {
    queryParameters['status'] = opt_status;
  }

  if (opt_resourceDoi !== undefined) {
    queryParameters['resource_doi'] = opt_resourceDoi;
  }

  if (opt_itemType !== undefined) {
    queryParameters['item_type'] = opt_itemType;
  }

  /** @type {!Object} */
  var httpRequestParams = {
    method: 'GET',
    url: path,
    json: true,
            params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Private Account Institutions
 * Account institution details
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise<!API.Client.Institution>}
 */
API.Client.InstitutionsApi.prototype.privateInstitutionDetails = function(opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/institution';

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  /** @type {!Object} */
  var httpRequestParams = {
    method: 'GET',
    url: path,
    json: true,
            params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Private Account Institution embargo options
 * Account institution embargo options details
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise<!Array<!API.Client.GroupEmbargoOptions>>}
 */
API.Client.InstitutionsApi.prototype.privateInstitutionEmbargoOptionsDetails = function(opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/institution/embargo_options';

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  /** @type {!Object} */
  var httpRequestParams = {
    method: 'GET',
    url: path,
    json: true,
            params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Private Account Institution Groups
 * Returns the groups for which the account has administrative privileges (assigned and inherited).
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise<!Array<!API.Client.Group>>}
 */
API.Client.InstitutionsApi.prototype.privateInstitutionGroupsList = function(opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/institution/groups';

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  /** @type {!Object} */
  var httpRequestParams = {
    method: 'GET',
    url: path,
    json: true,
            params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}

/**
 * Private Account Institution Roles
 * Returns the roles available for groups and the institution group.
 * @param {!angular.$http.Config=} opt_extraHttpRequestParams Extra HTTP parameters to send.
 * @return {!angular.$q.Promise<!Array<!API.Client.Role>>}
 */
API.Client.InstitutionsApi.prototype.privateInstitutionRolesList = function(opt_extraHttpRequestParams) {
  /** @const {string} */
  var path = this.basePath_ + '/account/institution/roles';

  /** @type {!Object} */
  var queryParameters = {};

  /** @type {!Object} */
  var headerParams = angular.extend({}, this.defaultHeaders_);
  /** @type {!Object} */
  var httpRequestParams = {
    method: 'GET',
    url: path,
    json: true,
            params: queryParameters,
    headers: headerParams
  };

  if (opt_extraHttpRequestParams) {
    httpRequestParams = angular.extend(httpRequestParams, opt_extraHttpRequestParams);
  }

  return (/** @type {?} */ (this.http_))(httpRequestParams);
}
